--	LÖVE Code Doodle #10
--		by HugoBDesigner

function love.load()
	love.filesystem.setIdentity("ImageConverter")
	love.filesystem.write("temp.txt", "temp")
	love.filesystem.remove("temp.txt")
	newimg = false
	local oldimg = false
	if love.filesystem.exists("oldimage.png") then
		oldimg = love.image.newImageData("oldimage.png")
	else
		oldimg = love.image.newImageData("glados.png")
	end
	
	if oldimg then
		newimg = love.image.newImageData(oldimg:getWidth()*3, oldimg:getHeight()*3)
		for x = 0, oldimg:getWidth()-1 do
			for y = 0, oldimg:getHeight()-1 do
				local r, g, b, a = oldimg:getPixel(x, y)
				newimg:setPixel(x*3, y*3, r, 0, 0, a)
				newimg:setPixel(x*3, y*3+1, r, 0, 0, a)
				newimg:setPixel(x*3, y*3+2, r, 0, 0, a)
				newimg:setPixel(x*3+1, y*3, 0, g, 0, a)
				newimg:setPixel(x*3+1, y*3+1, 0, g, 0, a)
				newimg:setPixel(x*3+1, y*3+2, 0, g, 0, a)
				newimg:setPixel(x*3+2, y*3, 0, 0, b, a)
				newimg:setPixel(x*3+2, y*3+1, 0, 0, b, a)
				newimg:setPixel(x*3+2, y*3+2, 0, 0, b, a)
			end
		end
		newimg:encode("newimage.png")
		newimg = love.graphics.newImage(newimg)
		love.graphics.setMode = love.graphics.setMode or love.window.setMode
		love.graphics.setMode(newimg:getWidth(), newimg:getHeight())
	end
end

function love.draw()
	if newimg then
		love.graphics.draw(newimg, 0, 0)
	end
end